hxt-9.3.1.15: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2005 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Control.Arrow.IOListArrow

Description

Implementation of pure list arrows with IO

Synopsis

- newtype IOLA a b = IOLA {
  - runIOLA :: a -> IO [b]
  }

# Documentation

newtype IOLA a b Source

list arrow combined with IO monad

Constructors

IOLA |

Fields

runIOLA :: a -> IO [b]

Instances

Arrow IOLA Source |
ArrowZero IOLA Source |
ArrowPlus IOLA Source |
ArrowChoice IOLA Source |
ArrowApply IOLA Source |
ArrowList IOLA Source |
ArrowWNF IOLA Source |
ArrowNF IOLA Source |
ArrowIf IOLA Source |
ArrowNavigatableTree IOLA Source |
ArrowTree IOLA Source |
ArrowIOIf IOLA Source |
ArrowIO IOLA Source |
ArrowExc IOLA Source |
ArrowDTD IOLA Source |
ArrowXml IOLA Source |
Category * IOLA Source |